/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents a HardDisk unit of any available type
// To Do:  N / A
*/
package bg.unisofia.fmi.grosd.core.nodeservice.hardware;

import  bg.unisofia.fmi.grosd.core.nodeservice.useful.InterfaceForConstants;

public class HardDisk 
{
//members	
	private int m_Cylinders;
	private int m_TracksPerCyl;
	private int m_SectorsPerTrack;
	private int m_BytesPerSector;
	private int m_SizeInMb;
	//private MEDIA_TYPE m_MediaType;

//methods	
	//Constructor
	public HardDisk()
	{
		m_Cylinders       = 0;
		m_TracksPerCyl    = 0;
		m_SectorsPerTrack = 0;
		m_BytesPerSector  = 0;
		m_SizeInMb        = 0;
	}
	
	//Setters and Getters
	
	//Cylinders
	public void SetCylinders( int a_Cylinders )
	{
		m_Cylinders = a_Cylinders;
	}
	
	public int GetCylinders( )
	{
		return m_Cylinders;
	}
	
	//Tracks
	public void SetTracksPerCyl( int a_TracksPerCyl )
	{
		m_TracksPerCyl = a_TracksPerCyl;
	}
	
	public int GetTracksPerCyl( )
	{
		return m_TracksPerCyl;
	}
	
	//Sectors per Track
	public void SetSectorsPerTrack( int a_SectorsPerTrack )
	{
		m_SectorsPerTrack = a_SectorsPerTrack;
	}
	
	public int GetSectorsPerTrack( )
	{
		return m_SectorsPerTrack;
	}
	
	//Bytes per sector
	public void SetBytesPerSector( int a_BytesPerSector )
	{
		m_BytesPerSector = a_BytesPerSector;
	}
	
	public int GetBytesPerSector( )
	{
		return m_BytesPerSector;
	}
	
	//Size in Mb
	public void SetSizeInMb( int a_SizeInMb )
	{
		m_SizeInMb = a_SizeInMb;
	}
	
	public int GetSizeInMb( )
	{
		return m_SizeInMb;
	}
}
