/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents an Unkwown hardware unit - this including 
//		   printers, scanners, speakers etc.
*/

package bg.unisofia.fmi.grosd.core.nodeservice.hardware;

class UnknownHardware
{
	private String m_strHardwareCommonName;
	private String m_strModelName;
	private String m_strCharacteristics;//this is used to save information about the device.
	
	UnknownHardware( String a_strHardwareCommonName , String a_strModelName , String a_strCharacteristics )
	{
		m_strHardwareCommonName = a_strHardwareCommonName;
		m_strModelName          = a_strModelName;
		m_strCharacteristics    = a_strCharacteristics;
	}
	
//Setters and Getters
	
	//Common Name
	public boolean SetHardwareCommonName( String a_strHardwareCommonName )
	{
		m_strHardwareCommonName = a_strHardwareCommonName;
		return true;
	}
	
	public String GetHardwareCommonName()
	{
		return m_strHardwareCommonName;
	}
	
	//Model Name
	public boolean SetModelName( String a_strModelName )
	{
		m_strModelName = a_strModelName;
		return true;
	}
	
	public String GetModelName()
	{
		return m_strModelName;
	}
	
	//Characteristics
	public boolean SetCharacteristics( String a_strCharacteristics )
	{
		m_strCharacteristics = a_strCharacteristics;
		return true;
	}
	
	public String GetCharacteristics()
	{
		return m_strCharacteristics;
	}
}
