/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents a VGAAdaptor unit
// To Do:  N / A
*/
package bg.unisofia.fmi.grosd.core.nodeservice.hardware;

import  bg.unisofia.fmi.grosd.core.nodeservice.useful.InterfaceForConstants;

class VGAAdapter 
{
	private String m_strManufacturerName;
	private String m_strAdapterName;
	private int    m_RamSize;
	
	//Constructor / Destructor	
	public VGAAdapter( String a_strManufacturerName ,
					   String a_strAdaptorName ,
					   int a_RamSize )
	{
		SetManufacturerName( a_strManufacturerName );
		SetAdapterName( a_strAdaptorName );
		SetRamSize( a_RamSize );
	}
	
	public VGAAdapter()
	{
	   this( InterfaceForConstants.m_strNOT_DEFINED ,
			 InterfaceForConstants.m_strNOT_DEFINED ,
		 	 InterfaceForConstants.m_intNOT_DEFINED );
	}
	
	//Setters and Getters
	
	//ManufacturerName
	public boolean SetManufacturerName( String a_strManufacturerName )
	{
		m_strManufacturerName = a_strManufacturerName;
		return true;
	}
	
	public String GetManufacturerName()
	{
		return m_strManufacturerName;
	}
	
	//AdapterName
	public boolean SetAdapterName( String a_strAdapterName )
	{
		m_strAdapterName = a_strAdapterName;
		return true;
	}
	
	public String GetAdapterName()
	{
		return m_strAdapterName;
	}
	
	//RamSize
	public boolean SetRamSize( int a_RamSize )
	{
		if( a_RamSize >= 1 
		 || a_RamSize == InterfaceForConstants.m_intNOT_DEFINED )
		{
			m_RamSize = a_RamSize;
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public int GetRamSize()
	{
		return m_RamSize;
	}
}
