/*
* Author: Neven Nikolov , neven1981@yahoo.com
* Aim:    Represents an Operating System Page
* To Do:  N / A
*/

package bg.unisofia.fmi.grosd.core.nodeservice.ui;

import bg.unisofia.fmi.grosd.core.nodeservice.hardware.SystemDynamicInfo;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.lang.management.*;


class COperatingSystemPage  extends CPage {
	
 	private void InitInterface()
	{
		this.setLayout( new GridLayout( 3 , 2) );
		int panelItems = 3;
	
		String[] arrString = new String[ panelItems * 2 ];
		arrString[ 0 ]     = "OS Version:";
		arrString[ 1 ]     = SystemDynamicInfo.GetOSVersion();   
		arrString[ 2 ]     = "OS Name:";
		arrString[ 3 ]     = SystemDynamicInfo.GetOSName() + "";
		arrString[ 4 ]     = "OS Arch:";
		arrString[ 5 ]     = SystemDynamicInfo.GetOSArch();
		
		for( int i = 0 ; i < panelItems * 2 ; i++ )
		{
			this.add( new JLabel( arrString[ i ] ) );
		}
		
	    this.setSize( 300 , 300 );
 	}
	
	COperatingSystemPage( String a_strPageHeader )
	{
		super( a_strPageHeader );
		InitInterface();
	}

}
