// DynamicInfo.h: interface for the CDynamicInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DYNAMICINFO_H__077AA524_A635_45DC_A8DF_B9103CD49340__INCLUDED_)
#define AFX_DYNAMICINFO_H__077AA524_A635_45DC_A8DF_B9103CD49340__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
 
#include <windows.h>
#include <winbase.h>
#include <lmcons.h>
#include <stdio.h>
#include <winioctl.h>

#define RAM_INFO       1
#define USER_INFO      2
#define PC_INFO        3
#define HARDDISK_INFO  4
#define DISKSPACE_INFO 5

#define MAX_OF_HARD_DISKS	24
static char HardDiskLetters[MAX_OF_HARD_DISKS][4]={
	"c:\\",	"d:\\",	"e:\\",	"f:\\",	"g:\\",	"h:\\",
	"i:\\",	"j:\\",	"k:\\",	"l:\\",	"m:\\",	"n:\\",
	"o:\\",	"p:\\",	"q:\\",	"r:\\",	"s:\\",	"t:\\",
	"u:\\",	"v:\\",	"w:\\",	"x:\\",	"y:\\",	"z:\\"
};

#define RAM_INFO 1

class CDynamicInfo  
{
public:
	static void GetRamInfo(  FILE* a_pFileOutput  );
	static void QueryUserName(  FILE* a_pFileOutput  );
	static void QueryComputerName(  FILE* a_pFileOutput  );
	static void QueryHardDisks( FILE* a_pFileOutput );
	static void QueryDriveSpace( FILE* a_pFileOutput );

	//Constructor / Destructor
	CDynamicInfo();
	virtual ~CDynamicInfo();

};

#endif // !defined(AFX_DYNAMICINFO_H__077AA524_A635_45DC_A8DF_B9103CD49340__INCLUDED_)
