// JNI_Example.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "JNI.h"
#include <stdio.h>
#include "DynamicInfo.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}


// This is the constructor of a class that has been exported.
// see JNI_Example.h for the class definition
CJNI_Example::CJNI_Example()
{ 
	return; 
}

JNIEXPORT void JNICALL Java_bg_unisofia_fmi_grosd_core_nodeservice_hardware_SysDynInfoCAPI_UpdateInformationFile(JNIEnv *env, jobject obj , jstring name) 
{
	jboolean iscopy;
	const char *mfile = env->GetStringUTFChars( name, &iscopy);
	FILE* p = fopen( mfile , "wt");

	CDynamicInfo::GetRamInfo( p );
	CDynamicInfo::QueryUserName( p );
	CDynamicInfo::QueryHardDisks( p );
	CDynamicInfo::QueryDriveSpace( p );	
	CDynamicInfo::QueryComputerName( p );

	fclose( p );
	env->ReleaseStringUTFChars( name, mfile);
}


