/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents a HardDisk unit of any available type
// To Do:  N / A
*/
package bg.unisofia.fmi.grosd.core.nodeservice.hardware;

import  bg.unisofia.fmi.grosd.core.nodeservice.useful.InterfaceForConstants;

public class HardStorage 
{
//members	
	private int m_SizeInMb;
	private int m_UsedSpaceInMb;
	
//methods	
	//Constructor
	public HardStorage( )
	{
		Reset( );
	}
	
	public void Init( HardStorage a_HardStorage )
	{
		m_SizeInMb      = a_HardStorage.m_SizeInMb;
		m_UsedSpaceInMb = a_HardStorage.m_UsedSpaceInMb;
	}
	
	public void Reset( )
	{
		m_SizeInMb      = 0;
		m_UsedSpaceInMb = 0;
	}
	//Setters and Getters
	
	//Free Space in Mb
	public int GetFreeSpaceInMb( )
	{
		return m_SizeInMb - m_UsedSpaceInMb;
	}

	//Used Space in Mb	
	public void SetUsedSpaceInMb( int a_UsedSpace )
	{
		m_UsedSpaceInMb = a_UsedSpace;
	}
	
	public int GetUsedSpaceInMb( )
	{
		return m_UsedSpaceInMb;
	}
	
	//Size in Mb
	public void SetSizeInMb( int a_SizeInMb )
	{
		m_SizeInMb = a_SizeInMb;
	}
	
	public int GetSizeInMb( )
	{
		return m_SizeInMb;
	}
}
