/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents a PersonInfo unit
//         for the people responsible for the Node / Cluster
// To Do:  N / A
*/

package bg.unisofia.fmi.grosd.core.nodeservice.hardware;

import  bg.unisofia.fmi.grosd.core.nodeservice.useful.InterfaceForConstants;

class PersonInfo {
//members	
	private String m_strGSMNumber;
	private String m_Email;
	private String m_Name;
	private String m_Surname;
	private String m_WebSite; //Web site of the organization that is the owner of that site 
	private String m_ICQ;

//methods
	//Methods for saving data in file and retrieving it from will be necessary	
	
	//Costructor
	public PersonInfo()
	{
		m_strGSMNumber = InterfaceForConstants.m_strNOT_DEFINED;
		m_Email        = InterfaceForConstants.m_strNOT_DEFINED;     
		m_Name         = InterfaceForConstants.m_strNOT_DEFINED; 
		m_Surname      = InterfaceForConstants.m_strNOT_DEFINED;  
		m_WebSite      = InterfaceForConstants.m_strNOT_DEFINED;
		m_ICQ          = InterfaceForConstants.m_strNOT_DEFINED;
	}		
	
	//Setters and Getters	

	//GSM Number
	public boolean SetGSMNumber( String a_strGSMNumber )
	{
		m_strGSMNumber = a_strGSMNumber;
		return true;	
	}
	
	public String GetGSMNumber( )
	{
		return m_strGSMNumber;
	}
	
	//E-Mail
	public boolean SetEMail( String a_strEMail )
	{
		m_Email = a_strEMail;
		return true;	
	}
	
	public String GetEMail( )
	{
		return m_Email;
	}
	
	//Name
	public boolean SetName( String a_strName )
	{
		m_Name = a_strName;
		return true;	
	}
	
	public String GetName( )
	{
		return m_Name;
	}
	
	//Surname
	public boolean SetSurname( String a_strSurname )
	{
		m_Surname = a_strSurname;
		return true;	
	}
	
	public String GetSurname( )
	{
		return m_Surname;
	}
	
	//WebSite
	public boolean SetWebSiteAddress( String a_strWebSite )
	{
		m_WebSite = a_strWebSite;
		return true;	
	}
	
	public String GetWebSiteAddress( )
	{
		return m_WebSite;
	}
	
	//ICQ
	public boolean SetICQNum( String a_strICQNum )
	{
		m_ICQ = a_strICQNum;
		return true;	
	}
	
	public String GetICQNum( )
	{
		return m_ICQ;
	}
}
