package bg.unisofia.fmi.grosd.core.nodeservice.rmi;

import bg.unisofia.fmi.grosd.core.nodeservice.NS;
import bg.unisofia.fmi.grosd.core.nodeservice.service.TaskStatus;
import java.util.Vector;
import java.rmi.*;
import java.rmi.server.*;
import java.awt.*;


public class RMINS extends UnicastRemoteObject implements RMINSInterface {

	private NS m_NodeService;
	
	//Constructor
	public RMINS ( ) throws RemoteException 
	{
		m_NodeService = new NS( );	
  	}
  	
  	//Hardware
  
  	
  	public boolean UpdateDynamicInfo( )
  	{
  		return 	m_NodeService.UpdateDynamicInfo( );
  	}
  	
 	public long GetAvailableMemoryRam( )
 	{
 		return m_NodeService.GetAvailableMemoryRam( );
 	}
	
	public long GetTotalMemoryRam( )
	{
		return m_NodeService.GetTotalMemoryRam( );
	}
	
	public long GetCPUCount( )
	{
		return m_NodeService.GetCPUCount( );
	}
		
	public long GetHardDiskTotalSpace( )
	{
		return m_NodeService.GetHardDiskTotalSpace( );
	}
	
	//Jobs
	public boolean UploadTask( int a_TaskID )
	{
		return m_NodeService.UploadTask( a_TaskID );
	}	
	
	public TaskStatus GetStatusOfTask( int a_TaskID )
	{
		return m_NodeService.GetStatusOfTask( a_TaskID );
	}
	
	public boolean TerminateTask( int a_TaskID )
	{
		return m_NodeService.TerminateTask( a_TaskID );
	}
		
	public Vector GetLoadedTasksID( )
	{
		return m_NodeService.GetLoadedTasksID( );
	}
}
