/*
* Author: Neven Nikolov , neven1981@yahoo.com
* Aim:    Represents an Ram Page
* To Do:  N / A
*/
package bg.unisofia.fmi.grosd.core.nodeservice.ui;

import bg.unisofia.fmi.grosd.core.nodeservice.hardware.RAM;
import bg.unisofia.fmi.grosd.core.nodeservice.hardware.SysDynInfoCAPI;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.lang.management.*;
import java.util.Vector;

public class CRamPage extends CPage {
	
 	private void InitInterface()
	{
		Vector arrItemNames = new Vector();
		Vector arrItemVals  = new Vector();
		
		SysDynInfoCAPI info = new SysDynInfoCAPI();
		info.UpdateInformation();    	

		RAM ram = new RAM( SysDynInfoCAPI.m_LastRamInfo );
		int count_items = ram.ComposeDataToDisplay( arrItemNames , arrItemVals );	
	    
	    for( int i = 0 ; i < count_items ; i++ )
	    {
	    	this.add( new JLabel( ( String )arrItemNames.get( i ) ) );
	    	this.add( new JLabel( ( String )arrItemVals.get( i ) ) );
	    }
	    
	    this.setLayout( new GridLayout( count_items , 2 ) );
	    this.setSize( 300 , 300 );
 	}
	
	CRamPage( String a_strPageHeader )
	{
		super( a_strPageHeader );
		InitInterface();
	}
}
