/*
* Author: Neven Nikolov , neven1981@yahoo.com
* Aim:    Represents a Job Deployer Page at the node site
* To Do:  N / A
*/

package bg.unisofia.fmi.grosd.core.nodeservice.ui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.lang.management.*;

public class JobDeployerUI extends CPage  {
 	
	public  JButton   btnDeploy;
	public	JButton   btnAddFile;
			
	public	List   listUserFiles;

	public JobDeployerUI( String a_strPageHeader ) {
		
		super( a_strPageHeader );
		InitInterface();	
	} 
	
	public void InitInterface()
	{
		listUserFiles = new List();
		btnDeploy     = new JButton("Add File");
		btnAddFile    = new JButton("Remove File");
		
		btnDeploy.addActionListener( new AL(this, 1));
		btnAddFile.addActionListener(new AL(this ,2));
		
        add(btnDeploy);
		add(btnAddFile);		
		add(listUserFiles);
		
		this.setSize(300 , 300);
	}
}

class AL implements ActionListener{
	JobDeployerUI m_ParentFrame;
	int m_BtnNum = 1;
	public AL(JobDeployerUI a_parentFrame , int a_BtnNum ){
		super();
		m_BtnNum = a_BtnNum;
	
		
		if(a_parentFrame != null)
		{
			m_ParentFrame = a_parentFrame;
		}
	}
	
	public void actionPerformed(ActionEvent e){
		if( m_BtnNum == 1 )
		{
			FileDialog fileDialog = new FileDialog( new Dialog( new Frame()) , "Add File" , FileDialog.LOAD );
			fileDialog.show();
		
		
			String fileName = fileDialog.getFile();
			String fileDir  = fileDialog.getDirectory();
			
			m_ParentFrame.listUserFiles.add( fileDir + fileName );
		}
		else
		{
			//remove
			int selIndex = m_ParentFrame.listUserFiles.getSelectedIndex();
			if( selIndex != -1 )
			{
				m_ParentFrame.listUserFiles.remove( selIndex );
			}
		}
	}	
}	

