/*
// Author: Neven Nikolov , neven1981@yahoo.com
// Aim:    Represents a class that encapsulates all the
//         implimented scheduling algorithms known.
// To Do:  Implimentation of more algorithms
*/

package bg.unisofia.fmi.grosd.core.rmsservice;

import  bg.unisofia.fmi.grosd.core.nodeservice.useful.InterfaceForConstants;

public class SchedulingAlgo 
{
	//kinds of schedulings:
	/* FCFS - first come first served
	 * SJF  - shortest job first
	 */
	 
	//members
	private String m_strType;
	
	//constructor
	SchedulingAlgo( String a_strType)
	{
		SetAlgorithm( a_strType );
	}

	//methods
	
	public boolean SetAlgorithm ( String a_strType )
	{
		String strUserChosenAlgoUppCase = a_strType.toUpperCase();
		if( strUserChosenAlgoUppCase != InterfaceForConstants.m_strSchedAlgoFCFS
		    && strUserChosenAlgoUppCase != InterfaceForConstants.m_strSchedAlgoSJF )
		{
			m_strType = a_strType;
			return true;
		}
		else
		{
			m_strType = InterfaceForConstants.m_strSchedAlgoFCFS;
			return false;
		}
	}	
	
	public String  GetAlgorithm()
	{
		return m_strType;
	}
	
}
